Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Interface Variant

All Known Subinterfaces:
  ResultFragmentVariant

All Known Implementing Classes:
  ResultFragmentVariantBase, VariantBase

public interface Variant

Method Summary
`boolean` | `convertToBoolean()`
`NodeIterator` | `convertToNodeSet()`
`double` | `convertToNumber()`
`java.lang.Object` | `convertToObject()`
`boolean` | `convertToPredicate(ExprContext context)`
`java.lang.String` | `convertToString()`
`Node` | `getBaseNode()`
`boolean` | `isBoolean()`
`boolean` | `isNodeSet()`
`boolean` | `isNumber()`
`boolean` | `isString()`
`Variant` | `makePermanent()`

Method Detail

### convertToString

    public java.lang.String convertToString()
                                     throws XSLException

  Throws:
    `XSLException`

### convertToBoolean

    public boolean convertToBoolean()
                             throws XSLException

  Throws:
    `XSLException`

### makePermanent

    public Variant makePermanent()
                          throws XSLException

  Throws:
    `XSLException`

### convertToNodeSet

    public NodeIterator convertToNodeSet()
                                  throws XSLException

  Throws:
    `XSLException`

### convertToNumber

    public double convertToNumber()
                           throws XSLException

  Throws:
    `XSLException`

### convertToObject

    public java.lang.Object convertToObject()
                                     throws XSLException

  Throws:
    `XSLException`

### convertToPredicate

    public boolean convertToPredicate(ExprContext context)
                               throws XSLException

  Throws:
    `XSLException`

### isBoolean

    public boolean isBoolean()

### isNumber

    public boolean isNumber()

### isString

    public boolean isString()

### isNodeSet

    public boolean isNodeSet()

### getBaseNode

    public Node getBaseNode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD